﻿@model IEnumerable<ApplicationUser>

@{
    ViewData["Title"] = "Users";
}

    <h2>
        Manage Users,
        <a asp-area="Identity" asp-page="/Account/Register">add user here.</a>
    </h2>


<table class="table table-bordered  table-hover">
    <thead>
        <tr>
            <td>ID</td>
            <td>Full Name</td>
            <td>Email Address</td>
        </tr>
    </thead>
    <tbody>
        @if (Model.Any())
        {
            foreach (var item in Model)
            {
                <tr>
                    <td>
                        <a asp-action="UpdateUser" asp-controller="Administration" asp-route-id="@item.Id"><i class="fa fa-pencil-alt text-warning"></i></a>
                        <a href="#" class="@item.Id"><i class="fa fa-trash-alt text-danger"></i></a>
                        <form hidden id="@item.Id" method="post" asp-route-id="@item.Id" asp-action="DeleteUser">
                        </form>
                        <script type="text/javascript">
                            $(document).ready(function () {
                                $(".@item.Id").on("click",function (e) {
                                    $("#@item.Id").submit();
                                });
                            });
                        </script>
                        @item.Id
                    </td>
                    <td>@*@item.FullName*@</td>
                    <td>@item.Email</td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="5">
                    <div class="text-center">No users found!</div>
                </td>
            </tr>
        }


    </tbody>
</table>

